Security update for nut

SUSE Security Update: Security update for nut
Announcement ID: SUSE-SU-2012:1077-2
Rating: moderate
References: #764699
Affected Products:
  • SUSE Linux Enterprise Server 10 SP4
  • SLE SDK 10 SP4

  • An update that fixes one vulnerability is now available.


    This update of nut fixes a denial of service flaw that
    could have been exploited by remote attackers to cause an
    application crash of upsd.

    Security Issue reference:

    * CVE-2012-2944

    Package List:

    • SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc x86_64):
    • nut-2.0.3-20.10.1
    • SLE SDK 10 SP4 (i586 ia64 ppc s390x x86_64):
    • nut-2.0.3-20.10.1